Evaluator
Keywords: uk.ac.bbk.dcs.automed.qproc.Evaluator class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.qproc
Class Evaluator

    java.lang.Object
      uk.ac.bbk.dcs.automed.qproc.Evaluator

    public class Evaluator

extends java.lang.Object

The class that coordinates the evaluation of IQL queries.

Constructor Summary
`Evaluator(FunctionTable ftab)` Constructs an Evaluator object that will use the ft for the evaluation of built-in functions.

Method Summary
`void` | `evaluate(ASG g)` Evaluates g to normal form.
`void` | `evaluate(Cell r)` Evaluates the graph of which root is the root to normal form.
`Environment` | `getEnvironment()`
`void` | `setEnvironment(Environment env)`
`void` | `weakHeadNF(Cell root)` Analogous to the above.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Evaluator

    public Evaluator(FunctionTable ftab)

  Constructs an Evaluator object that will use the ft for the evaluation of built-in functions.

Method Detail

### evaluate

    public void evaluate(ASG g)

  Evaluates g to normal form. Does not return a new ASG but instead changes g.

### evaluate

    public void evaluate(Cell r)

  Evaluates the graph of which root is the root to normal form. Does not return a new ASG but instead changes the underlying ASG.

### weakHeadNF

    public void weakHeadNF(Cell root)

  Analogous to the above. Evaluates the graph of which root is the root to weak head normal form.

### getEnvironment

    public Environment getEnvironment()

### setEnvironment

    public void setEnvironment(Environment env)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD